from message.message import Message
from browser import document
from model import Sense


class SimpleEditMessage(Message):
    def __init__(self, event, prop):
        input_element = document.getElementById("modal-input")
        self.new_text = input_element.value
        self.prop = prop


class EditSenseLabel(SimpleEditMessage):
    def update_model(self, model):
        sense = self.prop
        assert(type(sense) is Sense)
        sense.label = self.new_text
        
        
class EditSenseDefinition(SimpleEditMessage):
    def update_model(self, model):
        sense = self.prop
        assert(type(sense) is Sense)
        sense.definition = self.new_text
        
        
class EditComment(SimpleEditMessage):
    def update_model(self, model):
        model.entry.comment = self.new_text
